Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156348 - Create GIF support missing from bundled GD
Summary: Create GIF support missing from bundled GD
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL: http://perldiver0.ozhosting.com/gdinf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-29 06:30 UTC by Jon Benson
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-19 19:03:37 UTC


Attachments (Terms of Use)

Description Jon Benson 2005-04-29 06:30:26 UTC
Description of problem:
The bundled GD with the version of PHP supplied does not support imagegif() ie 
GIF creation

Version-Release number of selected component (if applicable):
php-4.3.2-19.ent

How reproducible:
Always

Steps to Reproduce:
Use this code to check for support of GIF image creation.

<?
// Retrieve information about the currently installed GD library
function describeGDdyn() {
  echo "\n<ul><li>GD support: ";
  if(function_exists("gd_info")){
   echo "<font color=\"#00ff00\">yes</font>";
   $info = gd_info();
   $keys = array_keys($info);
   for($i=0; $i<count($keys); $i++) {
       if(is_bool($info[$keys[$i]])) echo "</li>\n<li>" . $keys[$i] .": " . 
yesN
o($info[$keys[$i]]);
       else echo "</li>\n<li>" . $keys[$i] .": " . $info[$keys[$i]];
   }
  } else { echo "<font color=\"#ff0000\">no</font>"; }
  echo "</li></ul>";
}

function yesNo($bool){
  if($bool) return "<font color=\"#00ff00\"> yes</font>";
  else return "<font color=\"#ff0000\"> no</font>";
}

describeGDdyn();

?>

  
Actual results:
No support

Expected results:
Support

Additional info:
I wasn't sure if this was a feature request, etc so have left it as normal 
severity.   Fedora Core 2 and 3 support this, I don't know about RHEL4 as I 
haven't had a chance to look at it as yet.

Comment 1 Joe Orton 2005-05-03 19:57:11 UTC
Thanks for the report.  Yes, it is enabled in the RHEL4 php package - this
feature wasn't supported by PHP until the Unisys GIF patents expired last year;
we can look to see how disruptive this would be to backport.

Comment 2 Jon Benson 2005-05-04 01:00:18 UTC
I don't know how soon we'll get a chance to upgrade the system to RHEL4 so a 
backport would be great!


Comment 4 RHEL Product and Program Management 2007-10-19 19:03:37 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.